diff --git a/game/client/src/main/java/net/betterthanadventure/utils/BiomeFinder.java b/game/client/src/main/java/net/betterthanadventure/utils/BiomeFinder.java
index e261188f4..ee424dc59 100644
--- a/game/client/src/main/java/net/betterthanadventure/utils/BiomeFinder.java
+++ b/game/client/src/main/java/net/betterthanadventure/utils/BiomeFinder.java
@@ -498,7 +498,7 @@ public class BiomeFinder implements MinecraftAccessor {
 		} else {
 			SaveFormatBase saveFormat = new SaveFormat19134(worldFolder.getParentFile());
 			LevelStorage saveHandler = saveFormat.getSaveHandler(worldFolder.getName(), false);
-			world = new World(saveHandler, saveHandler.getLevelData().getWorldName(), saveHandler.getLevelData().getRandomSeed(), null, null);
+			world = new World(saveHandler, saveHandler.getLevelData().getWorldName(), saveHandler.getLevelData().getRandomSeed(), null, null, null);
 			biomeProvider = worldType.createBiomeProvider(world);
 		}
 		allBiomes.clear();
diff --git a/game/client/src/main/java/net/minecraft/client/GLAllocation.java b/game/client/src/main/java/net/minecraft/client/GLAllocation.java
index 91378c500..fc478c556 100644
--- a/game/client/src/main/java/net/minecraft/client/GLAllocation.java
+++ b/game/client/src/main/java/net/minecraft/client/GLAllocation.java
@@ -1,12 +1,12 @@
 package net.minecraft.client;
 
-import java.nio.*;
-
 import it.unimi.dsi.fastutil.ints.IntArrayList;
 import it.unimi.dsi.fastutil.ints.IntList;
 import org.lwjgl.BufferUtils;
 import org.lwjgl.opengl.GL41;
 
+import java.nio.IntBuffer;
+
 public class GLAllocation {
 	
 	public static IntList textureNames = new IntArrayList();
@@ -29,8 +29,7 @@ public class GLAllocation {
 		}
 	}
 
-	public static synchronized void deleteTexturesAndDisplayLists() {
-
+	public static synchronized void deleteTextures() {
 		IntBuffer intbuffer = BufferUtils.createIntBuffer(textureNames.size());
 		for (Integer textureName : textureNames) {
 			intbuffer.put(textureName);
